@version: 3.6
# syslog-ng configuration file.

@include "scl.conf"

options {
    flush_lines (0);
    time_reopen (10);
    chain_hostnames (off);
    use_dns (no);
    use_fqdn (no);
    create_dirs (no);
    keep_hostname (yes);
    perm(0644);
    stats_freq(86400);
};

source s_sys {
    #file ("/proc/kmsg" program_override("kernel: "));
    system();
    internal();
};

destination d_cons { file("/dev/console"); };
destination d_boot { file("/var/log/boot.log"); };
destination d_fwll { file("/var/log/firewall"); };
destination d_kern { file("/var/log/kernel"); };
destination d_ldap { file("/var/log/ldap.log"); };
destination d_mail { file("/var/log/maillog" flush_lines(10)); };
destination d_mesg { file("/var/log/messages"); };
destination d_auth { file("/var/log/secure"); };
destination d_spol { file("/var/log/spooler"); };
destination d_mlal { usertty("*"); };

filter f_filter1   { facility(kern); };
filter f_filter2   { level(info..emerg) and
                     not facility(mail,authpriv,cron); };
filter f_filter3   { facility(authpriv); };
filter f_filter4   { facility(mail); };
filter f_filter5   { level(emerg); };
filter f_filter6   { facility(uucp) or
                     (facility(news) and level(crit..emerg)); };
filter f_filter7   { facility(local7); };
filter f_fwll      { facility(kern) and
                     (match(" DROPPED " value("MESSAGE")) or match(" ABORTED " value("MESSAGE"))
                     or match("UFW BLOCK" value("MESSAGE")) or match("Shorewall:" value("MESSAGE"))); };
filter f_ldap      { program("slapd"); };

#log { source(s_sys); filter(f_filter1); destination(d_cons); };
log { source(s_sys); filter(f_fwll);    destination(d_fwll); flags(final); };
log { source(s_sys); filter(f_filter1); destination(d_kern); };
log { source(s_sys); filter(f_ldap);    destination(d_ldap); flags(final); };
log { source(s_sys); filter(f_filter3); destination(d_auth); };
log { source(s_sys); filter(f_filter4); destination(d_mail); };
log { source(s_sys); filter(f_filter5); destination(d_mlal); };
log { source(s_sys); filter(f_filter6); destination(d_spol); };
log { source(s_sys); filter(f_filter7); destination(d_boot); };
log { source(s_sys); filter(f_filter2); destination(d_mesg); };
